/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2010 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   chip.h                                                                                                */
/*            This file contains routing to given CHIP_NAME definitions file                               */
/*  Project:                                                                                               */
/*            SWC HAL                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/

#ifndef _CHIP_H
#define _CHIP_H

/*---------------------------------------------------------------------------------------------------------*/
/* Include DEFS                                                                                            */
/*---------------------------------------------------------------------------------------------------------*/
#include <defs.h>

/*---------------------------------------------------------------------------------------------------------*/
/* Include HAL internal                                                                                    */
/*---------------------------------------------------------------------------------------------------------*/
#include "../Common/hal_internal.h"

#ifdef CHIP_NAME
/*---------------------------------------------------------------------------------------------------------*/
/* Including chip definitions                                                                              */
/*---------------------------------------------------------------------------------------------------------*/
#include __CHIP_H_FILE_NAME(CHIP_NAME)
#else
#error "CHIP_NAME should be defined!"
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* Include HAL externals                                                                                   */
/*---------------------------------------------------------------------------------------------------------*/
#include "../Common/hal_external.h"

/*---------------------------------------------------------------------------------------------------------*/
/* Including chip interface definitions                                                                    */
/*---------------------------------------------------------------------------------------------------------*/
#include __CHIP_IF_FILE_NAME(CHIP_NAME)

/*---------------------------------------------------------------------------------------------------------*/
/* Include HAL dependencies definitions                                                                    */
/*---------------------------------------------------------------------------------------------------------*/
#include "../Common/hal_dependencies.h"

/*---------------------------------------------------------------------------------------------------------*/
/* Include HAL Interrupt Provider abstraction layer                                                        */
/*---------------------------------------------------------------------------------------------------------*/
#include "../Common/Interrupt/hal_interrupt.h"

/*---------------------------------------------------------------------------------------------------------*/
/* Include HAL common definitions                                                                          */
/*---------------------------------------------------------------------------------------------------------*/
#include "../Common/hal_common.h"

#endif /* _CHIP_H */

