/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2010 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   npce9mnx_regs.h                                                                                       */
/*            This file contains Chip Configuration registers                                              */
/*  Project:                                                                                               */
/*            SWC HAL                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/

#ifndef __NPCE9MNX_REGS_H__
#define __NPCE9MNX_REGS_H__

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                                INCLUDES                                                 */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
#include "../chip.h"

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                      Chip Configuration Registers                                       */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

#define DEVCNT                  (CHIP_CFG_BASE_ADDR + 0x000), CHIP_CFG_ACCESS, 8
#define STRPST                  (CHIP_CFG_BASE_ADDR + 0x001), CHIP_CFG_ACCESS, 8
#define RSTCTL                  (CHIP_CFG_BASE_ADDR + 0x002), CHIP_CFG_ACCESS, 8
#define DEV_CTL2                (CHIP_CFG_BASE_ADDR + 0x003), CHIP_CFG_ACCESS, 8
#define DEV_CTL3                (CHIP_CFG_BASE_ADDR + 0x004), CHIP_CFG_ACCESS, 8
#define SFT_STRP_CFG            (CHIP_CFG_BASE_ADDR + 0x00F), CHIP_CFG_ACCESS, 8
#define DEVALT0                 (CHIP_CFG_BASE_ADDR + 0x010), CHIP_CFG_ACCESS, 8
#define DEVALT1                 (CHIP_CFG_BASE_ADDR + 0x011), CHIP_CFG_ACCESS, 8
#define DEVALT2                 (CHIP_CFG_BASE_ADDR + 0x012), CHIP_CFG_ACCESS, 8
#define DEVALT3                 (CHIP_CFG_BASE_ADDR + 0x013), CHIP_CFG_ACCESS, 8
#define DEVALT4                 (CHIP_CFG_BASE_ADDR + 0x014), CHIP_CFG_ACCESS, 8
#define DEVALT5                 (CHIP_CFG_BASE_ADDR + 0x015), CHIP_CFG_ACCESS, 8
#define DEVALT6                 (CHIP_CFG_BASE_ADDR + 0x016), CHIP_CFG_ACCESS, 8
#define DEVALT7                 (CHIP_CFG_BASE_ADDR + 0x017), CHIP_CFG_ACCESS, 8
#define DEVALT8                 (CHIP_CFG_BASE_ADDR + 0x018), CHIP_CFG_ACCESS, 8
#define DEVALT9                 (CHIP_CFG_BASE_ADDR + 0x019), CHIP_CFG_ACCESS, 8
#define DEVALTA                 (CHIP_CFG_BASE_ADDR + 0x01A), CHIP_CFG_ACCESS, 8
#define DEVALTC                 (CHIP_CFG_BASE_ADDR + 0x01C), CHIP_CFG_ACCESS, 8
#define DEVALTD                 (CHIP_CFG_BASE_ADDR + 0x01D), CHIP_CFG_ACCESS, 8
#define DEVALTE                 (CHIP_CFG_BASE_ADDR + 0x01E), CHIP_CFG_ACCESS, 8
#define DEVALTF                 (CHIP_CFG_BASE_ADDR + 0x01F), CHIP_CFG_ACCESS, 8
#define PWM_SEL                 (CHIP_CFG_BASE_ADDR + 0x026), CHIP_CFG_ACCESS, 8
#define PWM_SEL2                (CHIP_CFG_BASE_ADDR + 0x027), CHIP_CFG_ACCESS, 8
#define DEVPU0                  (CHIP_CFG_BASE_ADDR + 0x028), CHIP_CFG_ACCESS, 8
#define DEVPD1                  (CHIP_CFG_BASE_ADDR + 0x029), CHIP_CFG_ACCESS, 8
#define LV_GPIO_CTL0            (CHIP_CFG_BASE_ADDR + 0x02A), CHIP_CFG_ACCESS, 8
#define LV_GPIO_CTL             (CHIP_CFG_BASE_ADDR + 0x02B), CHIP_CFG_ACCESS, 8
#define LV_GPIO_CTL2            (CHIP_CFG_BASE_ADDR + 0x02C), CHIP_CFG_ACCESS, 8
#define LV_GPIO_CTL3            (CHIP_CFG_BASE_ADDR + 0x02D), CHIP_CFG_ACCESS, 8
#define DBG_CTL                 (CHIP_CFG_BASE_ADDR + 0x02E), CHIP_CFG_ACCESS, 8

#define SMB_SEL                 (GLUE_BASE_ADDR + 0x021), GLUE_ACCESS, 8

/*---------------------------------------------------------------------------------------------------------*/
/* Programatic access to registers                                                                         */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALT(n)               (CHIP_CFG_BASE_ADDR + 0x010 + n), CHIP_CFG_ACCESS, 8

/*---------------------------------------------------------------------------------------------------------*/
/* DEVCNT register fields                                                                                  */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVCNT_CLKOM            0,  1
#define DEVCNT_EXTCLKSL         1,  1
#define DEVCNT_PECI_EN          2,  1
#define DEVCNT_JENK_CSL         3,  1
#define DEVCNT_JENK_HEN         4,  1
#define DEVCNT_ECSCI_CFG        5,  1
#define DEVCNT_SPI_TRIS         6,  1
#define DEVCNT_GTEFL            7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* STRPST register fields                                                                                  */
/*---------------------------------------------------------------------------------------------------------*/
#define STRPST_SHBM             0,  1
#define STRPST_XORTR            1,  1
#define STRPST_TRIST            2,  1
#define STRPST_SDP_VIS          3,  1
#define STRPST_JEN0             4,  1
#define STRPST_JENK             5,  1
#define STRPST_TEST             6,  1
#define STRPST_VD1_EN           7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* RSTCTL register fields                                                                                  */
/*---------------------------------------------------------------------------------------------------------*/
#define RSTCTL_EXT_RST_STS      0,  1
#define RSTCTL_DBGRST_STS       1,  1
#define RSTCTL_SFTRST_STS       4,  1
#define RSTCTL_LRESET_MODE      5,  1
#define RSTCTL_HIPRST_MODE      6,  1
#define RSTCTL_DBGRST_MODE      7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEV_CTL2 register fields                                                                                */
/*---------------------------------------------------------------------------------------------------------*/
#define DEV_CTL2_HPLUG_CONN     1,  3
#define DEV_CTL2_WD2INTPOR      4,  1
#define DEV_CTL2_MMAP_CTL       5,  2
#define DEV_CTL2_ELPC_EN        7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEV_CTL3 register fields                                                                                */
/*---------------------------------------------------------------------------------------------------------*/
#define DEV_CTL3_WP_GPIO30      0,  1
#define DEV_CTL3_WP_GPIO41      1,  1
#define DEV_CTL3_WP_GPIO81      2,  1
#define DEV_CTL3_WP_IF          3,  1
#define DEV_CTL3_JTD_LOCK       4,  1
#define DEV_CTL3_KBR_CFG        5,  1
#define DEV_CTL3_GA2_CFG        6,  1

/*---------------------------------------------------------------------------------------------------------*/
/* SFT_STRP_CFG register fields                                                                            */
/*---------------------------------------------------------------------------------------------------------*/
#define SFT_STRP_CFG_PECIST     0,  1
#define SFT_STRP_CFG_PSL_SEL    2,  1
#define SFT_STRP_CFG_INT_FLASH  3,  1
#define SFT_STRP_CFG_BBRMST     4,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVALT0 register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALT0_CKOUT_SL        2,  1
#define DEVALT0_SPI_SL          3,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVALT1 register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALT1_URTI_SL         1,  1
#define DEVALT1_URTO1_SL        2,  1
#define DEVALT1_URTO2_SL        3,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVALT2 register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALT2_LPCPD_SL        1,  1
#define DEVALT2_CLKRN_SL        2,  1
#define DEVALT2_SMI_SL          3,  1
#define DEVALT2_PWUR_SL         4,  1
#define DEVALT2_ECSCI_SL        5,  1
#define DEVALT2_SMB1_SL         6,  1
#define DEVALT2_SMB2_SL         7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVALT3 register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALT3_TA1_SL          0,  1
#define DEVALT3_TA2_SL          1,  1
#define DEVALT3_TB1_SL          2,  1
#define DEVALT3_TB2_SL          3,  1
#define DEVALT3_TA3_SL          4,  1
#define DEVALT3_TB3_SL          5,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVALT4 register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALT4_DAC0_SL         0,  1
#define DEVALT4_DAC1_SL         1,  1
#define DEVALT4_DAC2_SL         2,  1
#define DEVALT4_DAC3_SL         3,  1
#define DEVALT4_PS2_3_SL        4,  1
#define DEVALT4_PS2_1_SL        5,  1
#define DEVALT4_PS2_2_SL        6,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVALT8 register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALT8_GA20_SL         1,  1
#define DEVALT8_KBRST_SL        2,  1
#define DEVALT8_IOXDO_SL        4,  1
#define DEVALT8_IOXIO2_SL       5,  1
#define DEVALT8_IOXIO1_SL       6,  1
#define DEVALT8_IOXLC_SL        7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVALT9 register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALT9_GPA03_SL        0,  1
#define DEVALT9_GPF07_SL        1,  1
#define DEVALT9_GPA45_SL        2,  1
#define DEVALT9_GPA67_SL        3,  1
#define DEVALT9_GPB03_SL        4,  1
#define DEVALT9_GPB47_SL        5,  1
#define DEVALT9_GPC01_SL        6,  1
#define DEVALT9_GPC23_SL        7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVALTA register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALTA_CIRRL_SL        3,  1
#define DEVALTA_CIRRM2_SL       4,  1
#define DEVALTA_CIRRM1_SL       5,  1
#define DEVALTA_SMB3_SL         6,  1
#define DEVALTA_SMB4_SL         7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVALTC register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALTC_ADC8_SL         0,  1
#define DEVALTC_ADC9_SL         1,  1
#define DEVALTC_ADC10_SL        2,  1
#define DEVALTC_ADC11_SL        3,  1
#define DEVALTC_SMB3B_SL        5,  1
#define DEVALTC_SMB4B_SL        6,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVALTD register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALTD_F_IO23_SL       0,  1
#define DEVALTD_C_IO23_SL       1,  1
#define DEVALTD_PSL_IN1_AHI     2,  1
#define DEVALTD_PSL_IN1_SL      3,  1
#define DEVALTD_PSL_IN2_AHI     4,  1
#define DEVALTD_PSL_IN2_SL      5,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVALTE register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVALTE_VDI1_SL         0,  1
#define DEVALTE_VDO1_SL         1,  1
#define DEVALTE_VDI2_SL         2,  1
#define DEVALTE_VDO2_SL         3,  1
#define DEVALTE_1WIRE_SL        4,  1

/*---------------------------------------------------------------------------------------------------------*/
/* PWM_SEL register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define PWM_SEL_GPIO_SEL        0,  2
#define PWM_SEL_GPIO42_POL      4,  1
#define PWM_SEL_GPIO43_POL      5,  1
#define PWM_SEL_WD_RST_EN       7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* PWM_SEL2 register fields                                                                                */
/*---------------------------------------------------------------------------------------------------------*/
#define PWM_SEL2_ADC_TH1_EN     0,  1
#define PWM_SEL2_ADC_TH2_EN     1,  1
#define PWM_SEL2_ADC_TH3_EN     2,  1
#define PWM_SEL2_FPWM_STS       7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVPU0 register fields                                                                                  */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVPU0_SMB1_PUE         0,  1
#define DEVPU0_SMB2_PUE         1,  1
#define DEVPU0_SMB3_PUE         2,  1
#define DEVPU0_SMB3A_PUE        2,  1
#define DEVPU0_SMB4_PUE         3,  1
#define DEVPU0_SMB4A_PUE        3,  1
#define DEVPU0_SMB3B_PUE        5,  1
#define DEVPU0_SMB4B_PUE        6,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DEVPD1 register fields                                                                                  */
/*---------------------------------------------------------------------------------------------------------*/
#define DEVPD1_F_SDI_PDE        6,  1
#define DEVPD1_C_SDI_PDE        7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* LV_GPIO_CTL0 register fields                                                                            */
/*---------------------------------------------------------------------------------------------------------*/
#define LV_GPIO_CTL0_GPIO20_LV  0,  1
#define LV_GPIO_CTL0_GPIO21_LV  1,  1
#define LV_GPIO_CTL0_GPIO40_LV  2,  1
#define LV_GPIO_CTL0_GPIO54_LV  3,  1
#define LV_GPIO_CTL0_GPIO80_LV  4,  1
#define LV_GPIO_CTL0_GPIOB1_LV  5,  1
#define LV_GPIO_CTL0_GPIOB7_LV  6,  1
#define LV_GPIO_CTL0_GPIO94_LV  7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* LV_GPIO_CTL2 register fields                                                                            */
/*---------------------------------------------------------------------------------------------------------*/
#define LV_GPIO_CTL2_GPIO01_LV  0,  1
#define LV_GPIO_CTL2_GPIO13_LV  2,  1
#define LV_GPIO_CTL2_GPIO15_LV  3,  1
#define LV_GPIO_CTL2_GPIO45_LV  4,  1
#define LV_GPIO_CTL2_GPIO32_LV  6,  1
#define LV_GPIO_CTL2_GPIO87_LV  7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* LV_GPIO_CTL3 register fields                                                                            */
/*---------------------------------------------------------------------------------------------------------*/
#define LV_GPIO_CTL3_SD1_LV     0,  1
#define LV_GPIO_CTL3_SC1_LV     1,  1
#define LV_GPIO_CTL3_SD2_LV     2,  1
#define LV_GPIO_CTL3_SC2_LV     3,  1
#define LV_GPIO_CTL3_SD3_LV     4,  1
#define LV_GPIO_CTL3_SC3_LV     5,  1
#define LV_GPIO_CTL3_SD4_LV     6,  1
#define LV_GPIO_CTL3_SC4_LV     7,  1

/*---------------------------------------------------------------------------------------------------------*/
/* DBG_CTL register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define DBG_CTL_SMBDBG_MODE     0,  2
#define DBG_CTL_SMBDBG_SL       3,  1
#define DBG_CTL_JTD             4,  1

/*---------------------------------------------------------------------------------------------------------*/
/* SMB_SEL register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define SMB_SEL_SMB3SEL         0,  1
#define SMB_SEL_SMB4SEL         2,  1
#define SMB_SEL_SMBFSEL         5,  3

#endif // __NPCE9MNX_REGS_H__

