/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2010 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   hal_common.h                                                                                          */
/*            This file contains common HAL macros                                                         */
/*  Project:                                                                                               */
/*            SWC HAL                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/

#ifndef _HAL_COMMON_H_
#define _HAL_COMMON_H_


/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                                 INCLUDE                                                 */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
#include "defs.h"


/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                              Common Macros                                              */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------------------------------------*/
/* Busy Wait with Timeout                                                                                  */
/*---------------------------------------------------------------------------------------------------------*/
#define BUSY_WAIT_TIMEOUT(busy_cond, timeout)       \
{                                                   \
    UINT32 __time = timeout;                        \
                                                    \
    do                                              \
    {                                               \
        if (__time-- == 0)                          \
        {                                           \
            return DEFS_STATUS_RESPONSE_TIMEOUT;    \
        }                                           \
    } while (busy_cond);                            \
}

/*---------------------------------------------------------------------------------------------------------*/
/* Empty itteration delay loop                                                                             */
/*---------------------------------------------------------------------------------------------------------*/
#define DELAY_LOOP(count)                           \
{                                                   \
    volatile UINT16 __i;                            \
    for (__i=0; __i<count; ++__i) {}                \
}

#endif  /* _HAL_COMMON_H_ */

