/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2009 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   hal_internal.h                                                                                        */
/*            This file contains internal HAL macros                                                       */
/* Project:                                                                                                */
/*            SWC HAL                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#ifndef __HAL_INTERNAL_H__
#define __HAL_INTERNAL_H__

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                             INCLUDE MACROS                                              */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

#define __MODULE_IF(moduleType)                      STRINGX(ModuleDrivers/moduleType/moduleType##_if.c)
#define __LOGICAL_IF(logicalType)                    STRINGX(LogicalDrivers/logicalType/logicalType##_if.c)
#define __PERIPHERAL_IF(peripheralType)              STRINGX(PeripheralDrivers/peripheralType/peripheralType##_if.c)

#define __MODULE_IF_HEADER(moduleType)               STRINGX(ModuleDrivers/moduleType/moduleType##_if.h)
#define __MODULE_IF_HEADER_FROM_DRV(moduleType)      STRINGX(../../../ModuleDrivers/moduleType/moduleType##_if.h)
#define __MODULE_IF_HEADER_FROM_CHIP_DRV(moduleType) STRINGX(../../ModuleDrivers/moduleType/moduleType##_if.h)


#define __LOGICAL_IF_HEADER(logicalType)             STRINGX(LogicalDrivers/logicalType/logicalType##_if.h)
#define __PERIPHERAL_IF_HEADER(peripheralType)       STRINGX(PeripheralDrivers/peripheralType/peripheralType##_if.h)

#define __MODULE_DRIVER(moduleType, moduleVer)       STRINGX(../moduleType/moduleVer/moduleType##_drv.c)
#define __MODULE_HEADER(moduleType, moduleVer)       STRINGX(../moduleType/moduleVer/moduleType##_drv.h)

#define __EXTERNAL_FILE(name)                        STRINGX(name)

#define __CHIP_H_FILE_NAME(name)                     STRINGX(name/name.h)
#define __CHIP_C_FILE_NAME(name)                     STRINGX(name/name.c)
#define __CHIP_IF_FILE_NAME(name)                    STRINGX(name/CONCAT2(name, _if.h))


#endif //__HAL_INTERNAL_H__

