/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2010 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   gpio_regs.h                                                                                           */
/*            This file contains General Purpose I/O (GPIO) module registers                               */
/*  Project:                                                                                               */
/*            SWC HAL                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/

#ifndef _GPIO_REGS_H
#define _GPIO_REGS_H

#include "../../../Chips/chip.h"

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                  General Purpose I/O (GPIO) Registers                                   */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

#define PxDOUT(n)                (GPIO_BASE_ADDR(n) + 0x000), GPIO_ACCESS, 8
#define PxDIN(n)                 (GPIO_BASE_ADDR(n) + 0x001), GPIO_ACCESS, 8
#define PxDIR(n)                 (GPIO_BASE_ADDR(n) + 0x002), GPIO_ACCESS, 8
#define PxPULL(n)                (GPIO_BASE_ADDR(n) + 0x003), GPIO_ACCESS, 8
#define PxPUD(n)                 (GPIO_BASE_ADDR(n) + 0x004), GPIO_ACCESS, 8
#define PxENVDD(n)               (GPIO_BASE_ADDR(n) + 0x005), GPIO_ACCESS, 8
#if defined GPIO_CAPABILITY_OPEN_DRAIN
#define PxOTYPE(n)               (GPIO_BASE_ADDR(n) + 0x006), GPIO_ACCESS, 8
#endif

#endif /* _GPIO_REGS_H */

