/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2010 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   hfcg_regs.h                                                                                           */
/*            This file contains High Frequency Clock Generator (HFCG) module registers                    */
/*  Project:                                                                                               */
/*            SWC HAL                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/

#ifndef _HFCG_REGS_H
#define _HFCG_REGS_H

#include "../../../Chips/chip.h"

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                             High Frequency Clock Generator (HFCG) Registers                             */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

#define HFCGCTRL                (HFCG_BASE_ADDR + 0x000), HFCG_ACCESS, 8
#define HFCGML                  (HFCG_BASE_ADDR + 0x002), HFCG_ACCESS, 8
#define HFCGMH                  (HFCG_BASE_ADDR + 0x004), HFCG_ACCESS, 8
#define HFCGN                   (HFCG_BASE_ADDR + 0x006), HFCG_ACCESS, 8
#define HFCGP                   (HFCG_BASE_ADDR + 0x008), HFCG_ACCESS, 8
#if defined HFCG_CAPABILITY_APB_CLOCK || defined HFCG_CAPABILITY_SIO_CLOCK
#define HFCBCD                  (HFCG_BASE_ADDR + 0x010), HFCG_ACCESS, 8
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* HFCGCTRL register fields                                                                                */
/*---------------------------------------------------------------------------------------------------------*/
#define HFCGCTRL_LOAD           0,  1
#define HFCGCTRL_LOCK           2,  1
#ifdef HFCG_CAPABILITY_CLOCK_CHANGING_BIT
#define HFCGCTRL_CLK_CHNG       7,  1
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* HFCGN register fields                                                                                   */
/*---------------------------------------------------------------------------------------------------------*/
#define HFCGN_HFCGN5_0          0,  6

/*---------------------------------------------------------------------------------------------------------*/
/* HFCGP register fields                                                                                   */
/*---------------------------------------------------------------------------------------------------------*/
#define HFCGP_CPRED             0,  4
#define HFCGP_FPRED             4,  4

/*---------------------------------------------------------------------------------------------------------*/
/* HFCBCD register fields                                                                                  */
/*---------------------------------------------------------------------------------------------------------*/
#ifdef HFCG_CAPABILITY_APB_CLOCK
#define HFCBCD_APBDIV(bus)      ((bus) * 2),  2
#endif
#ifdef HFCG_CAPABILITY_SIO_CLOCK
#define HFCBCD_SIODIV           6,  2
#endif


#endif /* _HFCG_REGS_H */

