/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2010 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   icu_regs.h                                                                                            */
/*            This file contains ICU module registers                                                      */
/*  Project:                                                                                               */
/*            SWC HAL                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/

#ifndef _ICU_REGS_H
#define _ICU_REGS_H

#include "../../../Chips/chip.h"

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                 Interrupt Control Unit (ICU) Registers                                  */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

#define IVCT                    (ICU_BASE_ADDR + 0x000), ICU_ACCESS, 8
#define NMISTAT                 (ICU_BASE_ADDR + 0x002), ICU_ACCESS, 8
#define EXNMI                   (ICU_BASE_ADDR + 0x004), ICU_ACCESS, 8
#define NMIMNTR                 (ICU_BASE_ADDR + 0x006), ICU_ACCESS, 8
#define ISTAT0                  (ICU_BASE_ADDR + 0x00A), ICU_ACCESS, 16
#define ISTAT1                  (ICU_BASE_ADDR + 0x00C), ICU_ACCESS, 16
#define IENAM0                  (ICU_BASE_ADDR + 0x00E), ICU_ACCESS, 16
#define IENAM1                  (ICU_BASE_ADDR + 0x010), ICU_ACCESS, 16
#define IECLR0                  (ICU_BASE_ADDR + 0x012), ICU_ACCESS, 16
#define IECLR1                  (ICU_BASE_ADDR + 0x014), ICU_ACCESS, 16
#define IDBG                    (ICU_BASE_ADDR + 0x01A), ICU_ACCESS, 16
#define ITEST0                  (ICU_BASE_ADDR + 0x01C), ICU_ACCESS, 16
#define ITEST1                  (ICU_BASE_ADDR + 0x01E), ICU_ACCESS, 16

/*---------------------------------------------------------------------------------------------------------*/
/* IVCT register fields                                                                                    */
/*---------------------------------------------------------------------------------------------------------*/
#define IVCT_INTVECT            0,  6

/*---------------------------------------------------------------------------------------------------------*/
/* NMISTAT register fields                                                                                 */
/*---------------------------------------------------------------------------------------------------------*/
#define NMISTAT_EXT             0,  1

/*---------------------------------------------------------------------------------------------------------*/
/* EXNMI register fields                                                                                   */
/*---------------------------------------------------------------------------------------------------------*/
#define EXNMI_EN                0,  1
#define EXNMI_PIN               1,  1
#define EXNMI_ENLCK             2,  1

/*---------------------------------------------------------------------------------------------------------*/
/* IDBG register fields                                                                                    */
/*---------------------------------------------------------------------------------------------------------*/
#define IDBG_LINTVECT           0,  6
#define IDBG_INTVECT            6,  6

#endif /* _ICU_REGS_H */

