/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2009 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   itim8_regs.h                                                                                          */
/*            This file contains Internal 8-bit Timer (ITIM8) module registers                             */
/* Project:                                                                                                */
/*            SWC HAL                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/

#ifndef __ITIM8_REGS_H__
#define __ITIM8_REGS_H__

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                  Internal 8-bit Timer (ITIM8) Registers                                 */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

#define ITCNT(module)           (ITIM8_BASE_ADDR(module) + 0x00), ITIM8_ACCESS, 8
#define ITPRE(module)           (ITIM8_BASE_ADDR(module) + 0x01), ITIM8_ACCESS, 8
#define ITCNT16(module)         (ITIM8_BASE_ADDR(module) + 0x02), ITIM8_ACCESS, 16
#define ITCTS(module)           (ITIM8_BASE_ADDR(module) + 0x04), ITIM8_ACCESS, 8

/*---------------------------------------------------------------------------------------------------------*/
/* ITCTS register fields                                                                                   */
/*---------------------------------------------------------------------------------------------------------*/
#define ITCTS_TO_STS            0, 1
#define ITCTS_TO_IE             2, 1
#ifdef ITIM8_CAPABILITY_WAKEUP
#define ITCTS_TO_WUE            3, 1
#endif
#define ITCTS_CKSEL             4, 1
#define ITCTS_ITEN              7, 1

#endif /* __ITIM8_REGS_H__ */

