/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2010 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   hal.c                                                                                                 */
/*            This file contains all modules of the HAL                                                    */
/*  Project:                                                                                               */
/*            SWC HAL                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/

#define HAL_C

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                                 INCLUDES                                                */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
#include "version.h"

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                             CHIP DEPENDENT                                              */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
#include "Chips/chip.c"

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                              MODULE DRIVERS                                             */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------------------------------------*/
/* SCFG Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SCFG_MODULE_TYPE
#include __MODULE_IF(scfg)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SCS Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SCS_MODULE_TYPE
#include __MODULE_IF(scs)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* HFCG Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined HFCG_MODULE_TYPE
#include __MODULE_IF(hfcg)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* FIU Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined FIU_MODULE_TYPE
#include __MODULE_IF(fiu)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* Keyboard scan module Driver                                                                             */
/*---------------------------------------------------------------------------------------------------------*/
#if defined KBSCAN_MODULE_TYPE
#include __MODULE_IF(kbscan)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* ICU Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined ICU_MODULE_TYPE
#include __MODULE_IF(icu)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* NVIC Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined NVIC_MODULE_TYPE
#include __MODULE_IF(nvic)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* MIWU Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined MIWU_MODULE_TYPE
#include __MODULE_IF(miwu)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* TWD Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined TWD_MODULE_TYPE
#include __MODULE_IF(twd)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SYST Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SYST_MODULE_TYPE
#include __MODULE_IF(syst)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* MFT Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined MFT_MODULE_TYPE
#include __MODULE_IF(mft)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PWM Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PWM_MODULE_TYPE
#include __MODULE_IF(pwm)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SMB Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SMB_MODULE_TYPE
#include __MODULE_IF(smb)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PECI Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PECI_MODULE_TYPE
#include __MODULE_IF(peci)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SHM Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SHM_MODULE_TYPE
#include __MODULE_IF(shm)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* GPIO Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined GPIO_MODULE_TYPE
#include __MODULE_IF(gpio)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SIB Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SIB_MODULE_TYPE
#include __MODULE_IF(sib)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* ADC Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined ADC_MODULE_TYPE
#include __MODULE_IF(adc)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* DCU Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined DCU_MODULE_TYPE
#include __MODULE_IF(dcu)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* KBC HOST Module Driver                                                                                  */
/*---------------------------------------------------------------------------------------------------------*/
#if defined KBC_HOST_MODULE_TYPE
#include __MODULE_IF(kbc_host)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SIO Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SIO_MODULE_TYPE
#include __MODULE_IF(sio)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* EWOC Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined EWOC_MODULE_TYPE
#include __MODULE_IF(ewoc)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* MSWC Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined MSWC_MODULE_TYPE
#include __MODULE_IF(mswc)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SWC Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SWC_MODULE_TYPE
#include __MODULE_IF(swc)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SPI  Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SPI_MODULE_TYPE
#include __MODULE_IF(spi)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PS/2 module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PS2_MODULE_TYPE
#include __MODULE_IF(ps2)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* ITIM8 Module Driver                                                                                     */
/*---------------------------------------------------------------------------------------------------------*/
#if defined ITIM8_MODULE_TYPE
#include __MODULE_IF(itim8)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PMC Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PMC_MODULE_TYPE
#include __MODULE_IF(pmc)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* DAC Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined DAC_MODULE_TYPE
#include __MODULE_IF(dac)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PM Channel Module Driver                                                                                */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PM_CHAN_MODULE_TYPE
#include __MODULE_IF(pm_chan)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* CPS Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined CPS_MODULE_TYPE
#include __MODULE_IF(cps)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* STI Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined STI_MODULE_TYPE
#include __MODULE_IF(sti)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* OTP Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined OTP_MODULE_TYPE
#include __MODULE_IF(otp)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SHI Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SHI_MODULE_TYPE
#include __MODULE_IF(shi)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* LFCG Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined LFCG_MODULE_TYPE
#include __MODULE_IF(lfcg)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SHA Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SHA_MODULE_TYPE
#include __MODULE_IF(sha)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* GDMA Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined GDMA_MODULE_TYPE
#include __MODULE_IF(gdma)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PKA Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PKA_MODULE_TYPE
#include __MODULE_IF(pka)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* MTC Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined MTC_MODULE_TYPE
#include __MODULE_IF(mtc)
#endif


/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                             LOGICAL DRIVERS                                             */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------------------------------------*/
/* TACHO Logical Driver                                                                                    */
/*---------------------------------------------------------------------------------------------------------*/
#if defined TACHO_MODULE_TYPE
#include __LOGICAL_IF(tacho)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* CIR Logical Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined CIR_MODULE_TYPE
#include __LOGICAL_IF(cir)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* CIR LED flash Logical Driver                                                                            */
/*---------------------------------------------------------------------------------------------------------*/
#if defined CIRLED_MODULE_TYPE
#include __LOGICAL_IF(cirled)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* Flash SPI Logical Driver                                                                                */
/*---------------------------------------------------------------------------------------------------------*/
#if defined FLASH_SPI_MODULE_TYPE
#include __LOGICAL_IF(flash_spi)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* TIMER Logical Driver                                                                                    */
/*---------------------------------------------------------------------------------------------------------*/
#if defined TIMER_MODULE_TYPE
#include __LOGICAL_IF(timer)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* BM Logical Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined BM_MODULE_TYPE
#include __LOGICAL_IF(bm)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* RSA Logical Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined RSA_MODULE_TYPE
#include __LOGICAL_IF(rsa)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* I2C Logical Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined I2C_MODULE_TYPE
#include __LOGICAL_IF(i2c)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* RTC Logical Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined RTC_MODULE_TYPE
#include __LOGICAL_IF(rtc)
#endif


/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                           PERIPHERAL DRIVERS                                            */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------------------------------------*/
/* ALS Logical Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined ALS_MODULE_TYPE
#include __PERIPHERAL_IF(als)
#endif


#undef HAL_C
