/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2010 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   hal.h                                                                                                 */
/*            This file contains the HAL chip definitions and full API                                     */
/*  Project:                                                                                               */
/*            SWC HAL                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/

#ifndef _HAL_H
#define _HAL_H

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                             CHIP DEPENDENT                                              */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
#include "Chips/chip.h"

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                              MODULE DRIVERS                                             */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------------------------------------*/
/* SCFG Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SCFG_MODULE_TYPE
#include __MODULE_IF_HEADER(scfg)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SCS Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SCS_MODULE_TYPE
#include __MODULE_IF_HEADER(scs)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* HFCG Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined HFCG_MODULE_TYPE
#include __MODULE_IF_HEADER(hfcg)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* FIU Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined FIU_MODULE_TYPE
#include __MODULE_IF_HEADER(fiu)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* Keyboard scan module Driver                                                                             */
/*---------------------------------------------------------------------------------------------------------*/
#if defined KBSCAN_MODULE_TYPE
#include __MODULE_IF_HEADER(kbscan)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* ICU Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined ICU_MODULE_TYPE
#include __MODULE_IF_HEADER(icu)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* NVIC Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined NVIC_MODULE_TYPE
#include __MODULE_IF_HEADER(nvic)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* MIWU Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined MIWU_MODULE_TYPE
#include __MODULE_IF_HEADER(miwu)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* TWD Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined TWD_MODULE_TYPE
#include __MODULE_IF_HEADER(twd)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SYST Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SYST_MODULE_TYPE
#include __MODULE_IF_HEADER(syst)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* MFT Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined MFT_MODULE_TYPE
#include __MODULE_IF_HEADER(mft)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PWM Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PWM_MODULE_TYPE
#include __MODULE_IF_HEADER(pwm)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SMB Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SMB_MODULE_TYPE
#include __MODULE_IF_HEADER(smb)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PECI Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PECI_MODULE_TYPE
#include __MODULE_IF_HEADER(peci)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SHM Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SHM_MODULE_TYPE
#include __MODULE_IF_HEADER(shm)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* GPIO Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined GPIO_MODULE_TYPE
#include __MODULE_IF_HEADER(gpio)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SIB Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SIB_MODULE_TYPE
#include __MODULE_IF_HEADER(sib)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* ADC Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined ADC_MODULE_TYPE
#include __MODULE_IF_HEADER(adc)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* DCU Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined DCU_MODULE_TYPE
#include __MODULE_IF_HEADER(dcu)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* KBC HOST Module Driver                                                                                  */
/*---------------------------------------------------------------------------------------------------------*/
#if defined KBC_HOST_MODULE_TYPE
#include __MODULE_IF_HEADER(kbc_host)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SIO Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SIO_MODULE_TYPE
#include __MODULE_IF_HEADER(sio)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* EWOC Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined EWOC_MODULE_TYPE
#include __MODULE_IF_HEADER(ewoc)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* MSWC Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined MSWC_MODULE_TYPE
#include __MODULE_IF_HEADER(mswc)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SWC Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SWC_MODULE_TYPE
#include __MODULE_IF_HEADER(swc)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SPI  Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SPI_MODULE_TYPE
#include __MODULE_IF_HEADER(spi)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PS/2 module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PS2_MODULE_TYPE
#include __MODULE_IF_HEADER(ps2)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* ITIM8 Module Driver                                                                                     */
/*---------------------------------------------------------------------------------------------------------*/
#if defined ITIM8_MODULE_TYPE
#include __MODULE_IF_HEADER(itim8)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PM Channel Module Driver                                                                                */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PM_CHAN_MODULE_TYPE
#include __MODULE_IF_HEADER(pm_chan)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PMC Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PMC_MODULE_TYPE
#include __MODULE_IF_HEADER(pmc)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* DAC Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined DAC_MODULE_TYPE
#include __MODULE_IF_HEADER(dac)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* CPS Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined CPS_MODULE_TYPE
#include __MODULE_IF_HEADER(cps)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* STI Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined STI_MODULE_TYPE
#include __MODULE_IF_HEADER(sti)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* OTP Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined OTP_MODULE_TYPE
#include __MODULE_IF_HEADER(otp)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SHI Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SHI_MODULE_TYPE
#include __MODULE_IF_HEADER(shi)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* LFCG Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined LFCG_MODULE_TYPE
#include __MODULE_IF_HEADER(lfcg)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* SHA Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined SHA_MODULE_TYPE
#include __MODULE_IF_HEADER(sha)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* GDMA Module Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined GDMA_MODULE_TYPE
#include __MODULE_IF_HEADER(gdma)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* PKA Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined PKA_MODULE_TYPE
#include __MODULE_IF_HEADER(pka)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* MTC Module Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined MTC_MODULE_TYPE
#include __MODULE_IF_HEADER(mtc)
#endif


/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                             LOGICAL DRIVERS                                             */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------------------------------------*/
/* TACHO Logical Driver                                                                                    */
/*---------------------------------------------------------------------------------------------------------*/
#if defined TACHO_MODULE_TYPE
#include __LOGICAL_IF_HEADER(tacho)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* CIR Logical Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined CIR_MODULE_TYPE
#include __LOGICAL_IF_HEADER(cir)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* CIR LED flash Logical Driver                                                                            */
/*---------------------------------------------------------------------------------------------------------*/
#if defined CIRLED_MODULE_TYPE
#include __LOGICAL_IF_HEADER(cirled)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* FLASH SPI Logical Driver                                                                                */
/*---------------------------------------------------------------------------------------------------------*/
#if defined FLASH_SPI_MODULE_TYPE
#include __LOGICAL_IF_HEADER(flash_spi)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* TIMER Logical Driver                                                                                    */
/*---------------------------------------------------------------------------------------------------------*/
#if defined TIMER_MODULE_TYPE
#include __LOGICAL_IF_HEADER(timer)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* BM Logical Driver                                                                                       */
/*---------------------------------------------------------------------------------------------------------*/
#if defined BM_MODULE_TYPE
#include __LOGICAL_IF_HEADER(bm)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* RSA Logical Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined RSA_MODULE_TYPE
#include __LOGICAL_IF_HEADER(rsa)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* I2C Logical Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined I2C_MODULE_TYPE
#include __LOGICAL_IF_HEADER(i2c)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/* RTC Logical Driver                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#if defined RTC_MODULE_TYPE
#include __LOGICAL_IF_HEADER(rtc)
#endif

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                           PERIPHERAL DRIVERS                                            */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------------------------------------*/
/* ALS Peripheral Driver                                                                                   */
/*---------------------------------------------------------------------------------------------------------*/
#if defined ALS_MODULE_TYPE
#include __PERIPHERAL_IF_HEADER(als)
#endif


#endif /* _HAL_H */

