#------------------------------------------------------------------------------
# Copyright (c) 2004-2005 by Winbond Electronics Corporation
# All rights reserved.
# <<<---------------------------------------------------------------------------
#  File Contents: 
#     start.sp 
#
# Project:
#     Driver Set for WPCE775x Notebook Embedded Controller Peripherals
#------------------------------------------------------------------------->>>*/

    .text
    .align          2
    .globl          _main
    .code_label     _main
    .globl          _init_bss_data
    .code_label     _init_bss_data

start::

 #----------------------------------------------------------------------#
 # Initialize the stack pointers. The constants __STACK_START and       #
 # __ISTACK_START should be defined in the linker definition file.      #
 #----------------------------------------------------------------------#

    movd    $__STACK_START, (sp)
    movd    $__ISTACK_START, (r1,r0)
    lprd    (r1,r0), isp


 #----------------------------------------------------------------------#
 # disable all interrupts by clearing PSR                               #
 #----------------------------------------------------------------------#
 
    movw    $0, r0
    lpr     r0, psr

 #----------------------------------------------------------------------#
 # Initialize the default sections according to the linker script.      #
 #----------------------------------------------------------------------#

    bal (ra), _init_bss_data

 #----------------------------------------------------------------------#
 # Set the Extended Dispatch bit in the CFG register (this is the       #
 # default configuration for CR16C) and enable instruction cache        #
 #----------------------------------------------------------------------#

    spr     cfg, r0
    orw     $0x110, r0
    lpr     r0, cfg

 #----------------------------------------------------------------------#
 # Here you may add initializations that are specific to your           #
 # environment. For example:                                            #
 # 1. Configure wait states and other BIU parameters in order to get    #
 #    the best performance out of your target (see the specification    #
 #    document).                                                        #
 # 2. Enable maskable interrupts that should be enabled when your       #
 #    program starts to execute.                                        #
 #----------------------------------------------------------------------#

 #----------------------------------------------------------------------#
 # Check result of the Booter's flash checksum comparing                #
 #----------------------------------------------------------------------#
    cmpb  $1,r2
    beq  good_checksum
 #----------------------------------------------------------------------#
 # Add here code for incorrect checksum handling                        #
 #----------------------------------------------------------------------# 

 #----------------------------------------------------------------------#
 # jump to the main function                                            #
 #----------------------------------------------------------------------#
good_checksum:
    bal (ra), _main

 # Main never exits


